Skip to main content
`Ctrl`+`K`

# numpy.datetime_data

numpy.datetime_data(dtype, /)

  Get information about the step size of a date or time type.

  The returned tuple can be passed as the second argument of `numpy.datetime64` and `numpy.timedelta64`.

  Parameters:
    dtype dtype

      The dtype object, which must be a `datetime64` or `timedelta64` type.

  Returns:
    unit str

      The datetime unit on which this dtype is based.

    count int

      The number of base units in a step.

  Examples

      >>> import numpy as np
      >>> dt_25s = np.dtype('timedelta64[25s]')
      >>> np.datetime_data(dt_25s)
      ('s', 25)
      >>> np.array(10, dt_25s).astype('timedelta64[s]')
      array(250, dtype='timedelta64[s]')

  The result can be used to construct a datetime that uses the same units as a timedelta

      >>> np.datetime64('2010', np.datetime_data(dt_25s))
      np.datetime64('2010-01-01T00:00:00','25s')